# This file is part of hmnoweb, a RefineryCMS based Webapp for heavymetal.no
# Copyright (C) 2018  Harald Eilertsen <haraldei@anduin.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

namespace :deploy do
  namespace :piwik do
    desc 'Configure piwik for site'
    task :configure do
      output_file = File.join(shared_path, 'config', 'piwik.yml')
      on roles(:app) do
        unless test "[ -f #{output_file} ]"
          conf = {
            fetch(:stage).to_s => {
              'piwik' => {
                'id_site' => fetch(:piwik_site_id),
                'url' => fetch(:piwik_url),
                'disabled' => fetch(:piwik_disabled, false),
                'use_async' => fetch(:piwik_async, true),
              }
            }
          }

          upload!(StringIO.new(conf.to_yaml), output_file)
        end
      end
    end
  end

  before 'deploy:check:linked_files', 'deploy:piwik:configure'
end

# :mode=ruby:
