#!/usr/bin/env ruby
# This file is part of hmnoweb
# Copyright (C) 2020  Harald Eilertsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

output_dir = "_posts"

Refinery::Blog::Post.all.each do |post|
  filename = "#{post.published_at.to_date}-#{post.slug}.html"
  puts filename

  File.open(File.join(output_dir, filename), "w", 0744) do |f|
    f.write "---\n"
    f.write "title: #{post.title}\n"
    f.write "published_at: #{post.published_at}\n"
    f.write "created_at: #{post.created_at}\n"
    f.write "updated_at: #{post.updated_at}\n"
    f.write "post_id: #{post.id}\n"
    f.write "draft: #{post.draft}\n"
    f.write "user_id: #{post.user_id}\n"
    f.write "custom_teaser: #{post.custom_teaser}\n"
    f.write "---\n\n"
    f.write post.body
  end
end
